package org.warp.jcwdb.tests;

import org.warp.jcwdb.EnhancedObject;
import org.warp.jcwdb.database.IDatabaseTools;
import org.warp.jcwdb.annotations.DBDataType;
import org.warp.jcwdb.annotations.DBField;
import org.warp.jcwdb.annotations.DBPrimitiveField;
import org.warp.jcwdb.annotations.DBPrimitiveType;

import java.io.IOException;

public class OldClass extends EnhancedObject {

	@DBField(id = 0, type = DBDataType.OBJECT)
	public String field1;

	@DBPrimitiveField(id = 0, type = DBPrimitiveType.INTEGER)
	public int field2;

	@DBPrimitiveField(id = 2, type = DBPrimitiveType.INTEGER)
	public int field4;

	public OldClass() {

	}

	public OldClass(IDatabaseTools databaseTools) throws IOException {
		super(databaseTools);
	}
}
